Skip to main content
GET
/
suppliers
/
{supplierId}
/
credit
/
ledger
Get supplier credit ledger
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/suppliers/{supplierId}/credit/ledger', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "currency": "<string>",
      "supplierCreditNoteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "billId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reference": "<string>",
      "amount": 123,
      "occurredAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "cursors": {
      "current": "<string>",
      "next": "<string>",
      "previous": "<string>"
    }
  }
}

Path Parameters

supplierId
string<uuid>
required

Query Parameters

Cursor
string
Limit
default:20

Response

OK

data
object[]
meta
object